pub const APP_BASE_ADDRESS: usize = 0x80400000;  // 载入的app的起始的地址
pub const APP_SIZE_LIMIT: usize = 0x20000;  // app的最大的二进制文件能够使用的大小
pub const MAX_APP_NUM: usize = 10;  // 支持最大的用户应用数量
pub const KERNEL_HEAP_SIZE: usize = 0x30_0000;  // 内核的堆大小 3M

pub const USER_STACK_SIZE: usize = 4096 * 2;  // 每个应用用户态的栈大小为8kb
pub const KERNEL_STACK_SIZE: usize = 4096 * 2; // 每个应用的内核栈

pub use crate::board::*;